Android 1.5 and compatibility with games and apps

Last Updated:

  1. matt21

    matt21 New Member

    Hi all!

    I'd like to ask you if android 1.5 is compatible with most of apps, as the majority of apps and games I've found don't say anything at the description about If the app/game is compatible with cupcake.

    For example, will I be able to run Fifa 2010 on android 1.5? (device Lg gw620) Thanks! (and sorry for my silly questions :p)

  2. Frisco

    Frisco =Luceat Lux Vestra= VIP Member

    Hello matt.. no question is silly at Android Forums. ;)

    Well, ok, some are. :D

    But not the ones you're asking. I ran 1.5 for as long as I could on my Eris and although the FIFA game series was not one of the apps I ran, I did find that 99% of the games out there in Market were compatible with the OS.

    You're probably concerned about making a purchase and then finding out the game could not run on your device.. do not worry, most paid apps have a refund provision as long as you uninstall it within a certain time and that length of time is sometimes stated in Market in the area where you got your info about the app or game. Uninstalling the app will trigger the refund and you'll get either a text or email notification of the refund in progress.

    Good luck, and have fun.
  3. matt21

    matt21 New Member

    Exactly! (I was worried about installing an app or a game that is too "heavy" for the phone but I guess it's not an issue)

    As there is a refund if something goes wrong (something unlike I think), then there will be no problem :)

    Thanks for the quick reply :)
  4. Frisco

    Frisco =Luceat Lux Vestra= VIP Member

    You're welcome.

    What can get heavy in the device is over doing it with app installations, especially apps which can be configured to update in the background, such as various weather, news and social networking apps.

    Games, in general, do not have such provisions, but be careful about loading up the Eve with too much stuff as resources could get chewed up rapidly.
  5. mrmojoz

    mrmojoz Well-Known Member

    Most 3D/newer games won't run at all on a 1.5 device. 1.6 is even hard to deal with at times. Plus the hardware in that phone is going too be slow for those types of games anyway.
  6. johnsolo

    johnsolo Member

    The eve isn't a gaming device, the touchscreen is garbage. That and you shouldn't consider anything but a newer 2.1 device that will hopefully see a 2.2 or 3.0 upgrade like the Galaxy S. That said you can get 2.1 on the eve with OpenEtna.
  7. matt21

    matt21 New Member

    Well, I don't expect to play games which are designed for high-end devices (for example Need for Speed: Shift), but games with small requirements like angry birds or fruit ninja.

    I have read that eve can be upgraded to 2.1 with Open Etna but I am quite noob yet and I want to read and learn more stuff before I try this one (have also read that there are some issues with the camera and the video playback). I certainly going to try this, but in the future (I am afraid of bricking my phone :p )

Share This Page